about summary refs log tree commit diff
diff options
context:
space:
mode:
-rw-r--r--.gitignore3
-rw-r--r--Makefile2
-rwxr-xr-xtest/test.sh2
-rwxr-xr-xunicorn_mode/build_unicorn_support.sh15
4 files changed, 12 insertions, 10 deletions
diff --git a/.gitignore b/.gitignore
index 1e653a08..4032b826 100644
--- a/.gitignore
+++ b/.gitignore
@@ -34,4 +34,7 @@ afl-whatsup.8
 qemu_mode/libcompcov/compcovtest
 as
 qemu_mode/qemu-*
+unicorn_mode/unicornafl/
+unicorn_mode/samples/*/\.test-*
+unicorn_mode/samples/*/output/
 core\.*
diff --git a/Makefile b/Makefile
index 4a498a66..0c0b73c5 100644
--- a/Makefile
+++ b/Makefile
@@ -326,7 +326,7 @@ clean:
 	$(MAKE) -C qemu_mode/unsigaction clean
 	$(MAKE) -C qemu_mode/libcompcov clean
 	$(MAKE) -C src/third_party/libradamsa/ clean
-	-rm -rf unicorn_mode/unicorn
+	-rm -rf unicorn_mode/unicornafl
 
 distrib: all radamsa
 	-$(MAKE) -C llvm_mode
diff --git a/test/test.sh b/test/test.sh
index 9e3c882e..c763e91f 100755
--- a/test/test.sh
+++ b/test/test.sh
@@ -575,7 +575,7 @@ test -e ../afl-qemu-trace && {
 }
 
 $ECHO "$BLUE[*] Testing: unicorn_mode"
-test -d ../unicorn_mode/unicorn && {
+test -d ../unicorn_mode/unicornafl && {
   test -e ../unicorn_mode/samples/simple/simple_target.bin -a -e ../unicorn_mode/samples/compcov_x64/compcov_target.bin && {
     {
       # travis workaround
diff --git a/unicorn_mode/build_unicorn_support.sh b/unicorn_mode/build_unicorn_support.sh
index c796525c..582e0669 100755
--- a/unicorn_mode/build_unicorn_support.sh
+++ b/unicorn_mode/build_unicorn_support.sh
@@ -34,7 +34,7 @@
 # running this script. If it is, please uninstall it first.
 
 echo "================================================="
-echo "Unicorn-AFL build script"
+echo "UnicornAFL build script"
 echo "================================================="
 echo
 
@@ -124,18 +124,18 @@ fi
 echo "[+] All checks passed!"
 
 echo "[*] Making sure unicornafl is checked out"
-rm -rf unicorn # workaround for travis ... sadly ...
+rm -rf unicornafl # workaround for travis ... sadly ...
 #test -d unicorn && { cd unicorn && { git stash ; git pull ; cd .. ; } }
-test -d unicorn || git clone https://github.com/vanhauser-thc/unicorn
-test -d unicorn || { echo "[-] not checked out, please install git or check your internet connection." ; exit 1 ; }
+test -d unicornafl || git clone https://github.com/vanhauser-thc/unicornafl
+test -d unicornafl || { echo "[-] not checked out, please install git or check your internet connection." ; exit 1 ; }
 echo "[+] Got unicornafl."
 
 echo "[*] making sure config.h matches"
-cp "../config.h" "./unicorn/" || exit 1
+cp "../config.h" "./unicornafl/" || exit 1
 
 echo "[*] Configuring Unicorn build..."
 
-cd "unicorn" || exit 1
+cd "unicornafl" || exit 1
 
 echo "[+] Configuration complete."
 
@@ -155,8 +155,7 @@ else
   echo "[*] Info: Installing python unicornafl to virtualenv: $VIRTUAL_ENV"
   $PYTHONBIN setup.py install --force || exit 1
 fi
-# export LIBUNICORN_PATH='$(pwd)' # in theory, this allows to switch between afl-unicorn and unicorn so files.
-echo '[*] If needed, you can (re)install the bindigns from `./unicorn/bindings/python` using `python setup.py install`'
+echo '[*] If needed, you can (re)install the bindigns from `./unicornafl/bindings/python` using `python setup.py install`'
 
 cd ../../ || exit 1